function cost_return = Cost_dispatch(var)
%        I   II  III         IV
%        MT  FC  Actul load intervals
MT1         = var(1);
MT2         = var(2);
MT3         = var(3);
FC          = var(4);
Actual_PL   = var(5);
MG          = Actual_PL -(MT1 + MT2 + MT3 + FC);
i       	= var(6);
%-----------------Gas Dispatch (MT)-----------------%
cost_MT = micro_gas_turbine(var);
%-----------------Fuel cell Cost    (FC)-----------------%
cost_FC = FuelCell(var);
%-----------------Main Grid Cost    (MG)-----------------%
buy_price  = [0.17 0.17 0.17 0.17 0.17 0.17 0.17 0.49 0.49 0.49 0.83 0.83 0.83 0.83 0.83 0.49 0.49 0.49 0.83 0.83 0.83 0.49 0.49 0.17];
sell_price = [0.13 0.13 0.13 0.13 0.13 0.13 0.13 0.38 0.38 0.38 0.65 0.65 0.65 0.65 0.63 0.38 0.38 0.38 0.65 0.65 0.65 0.38 0.38 0.13];
if(MG>0)
    cost_MG = MG*buy_price(i);
else
    cost_MG = MG*-1*sell_price(i);
end
cost_MT     = sum(cost_MT);
cost_return = cost_MT+cost_FC+cost_MG;
end